Skip to main content
`Ctrl`+`K`

# DMSNESGetBoundaryLocal

get the local boundary value function set with `DMSNESSetBoundaryLocal()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetBoundaryLocal(DM dm, PetscErrorCode (**func)(DM, Vec, void *), void **ctx)

Not Collective

## Input Parameter

- dm - `DM` with the associated callback

## Output Parameters

- func - local boundary value evaluation

- ctx - context for local boundary value evaluation

## See Also

SNES: Nonlinear Solvers, `DMSNESSetFunctionLocal()`, `DMSNESSetBoundaryLocal()`, `DMSNESSetJacobianLocal()`

## Level

intermediate

## Location

src/snes/utils/dmlocalsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages